# SPDX-Version: 3.0
# SPDX-CreationInfo: 2025-05-05; WEIDNER, Marc S.; <msw@coresecret.dev>
# SPDX-ExternalRef: GIT https://git.coresecret.dev/msw/CISS.debian.live.builder.git
# SPDX-FileContributor: WEIDNER, Marc S.; Centurion Intelligence Consulting Agency
# SPDX-FileCopyrightText: 2024-2025; WEIDNER, Marc S.; <msw@coresecret.dev>
# SPDX-FileType: SOURCE
# SPDX-License-Identifier: LicenseRef-CNCL-1.1 OR LicenseRef-CCLA-1.1
# SPDX-LicenseComment: This file is part of the CISS.debian.installer.secure framework.
# SPDX-PackageName: CISS.debian.live.builder
# SPDX-Security-Contact: security@coresecret.eu

###########################################################################################
# Modules                                                                                 #
###########################################################################################
# Install standard modules:
d-i anna/standard_modules boolean true
d-i anna/choose_modules string \
crypto-dm-modules          \
crypto-dm-setup-udeb       \
ethdetect                  \
fdisk-udeb                 \
grub-installer             \
hw-detect                  \
lowmem                     \
lvm2                       \
mbr                        \
netcfg                     \
network-console            \
parted                     \
partman-auto               \
partman-auto-crypto        \
partman-basicfilesystems   \
partman-btrfs              \
partman-crypto             \
partman-ext4               \
partman-lvm                \
partman-md                 \
rescue-mode
# vim: number et ts=2 sw=2 sts=2 ai tw=128 ft=sh
